PulseAudio 16.1

Functions
util.h File Reference

Assorted utility functions. More...

Go to the source code of this file.

## Functions
char * | pa_get_user_name (char *s, size_t l)
| Return the current username in the specified string buffer. More...
char * | pa_get_host_name (char *s, size_t l)
| Return the current hostname in the specified buffer. More...
char * | pa_get_fqdn (char *s, size_t l)
| Return the fully qualified domain name in s. More...
char * | pa_get_home_dir (char *s, size_t l)
| Return the home directory of the current user. More...
char * | pa_get_binary_name (char *s, size_t l)
| Return the binary file name of the current process. More...
char * | pa_path_get_filename (const char *p)
| Return a pointer to the filename inside a path (which is the last component). More...
int | pa_msleep (unsigned long t)
| Wait t milliseconds. More...
int | pa_thread_make_realtime (int rtprio)
| Make the calling thread realtime if we can. More...

## Detailed Description

Assorted utility functions.

## Function Documentation

## ◆ pa_get_binary_name()

char * pa_get_binary_name | ( | char * | s,
|  | size_t | l
| ) |  |

Return the binary file name of the current process.

This is not supported on all architectures, in which case NULL is returned.

## ◆ pa_get_fqdn()

char * pa_get_fqdn | ( | char * | s,
|  | size_t | l
| ) |  |

Return the fully qualified domain name in s.

## ◆ pa_get_home_dir()

char * pa_get_home_dir | ( | char * | s,
|  | size_t | l
| ) |  |

Return the home directory of the current user.

## ◆ pa_get_host_name()

char * pa_get_host_name | ( | char * | s,
|  | size_t | l
| ) |  |

Return the current hostname in the specified buffer.

## ◆ pa_get_user_name()

char * pa_get_user_name | ( | char * | s,
|  | size_t | l
| ) |  |

Return the current username in the specified string buffer.

## ◆ pa_msleep()

int pa_msleep | ( | unsigned long | t | ) |

Wait t milliseconds.

## ◆ pa_path_get_filename()

char * pa_path_get_filename | ( | const char * | p | ) |

Return a pointer to the filename inside a path (which is the last component).

If passed NULL will return NULL.

## ◆ pa_thread_make_realtime()

int pa_thread_make_realtime | ( | int | rtprio | ) |

Make the calling thread realtime if we can.

On Linux, this uses RealTimeKit if available and POSIX APIs otherwise (the latter applies to other UNIX variants as well). This is also implemented for macOS and Windows.

Since
  13.0